> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.propexo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server.

# Get an applicant by ID

GET https://api.propexo.com/v1/applicants/{id}

Get an applicant by ID

Reference: https://docs.propexo.com/api-reference/pms-generic-ap-is/applicants/get-an-applicant-by-id

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.propexo.com` (Production, default)
- `https://api.sandbox.propexo.com` (Sandbox)

## Request

### Path parameters

- `id` (string, required) — The ID of the resource.

### Query parameters

- `order-by` (string, optional, default: created_at:desc) — Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc
- `updated_at_gte` (string, optional, nullable) — Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
- `updated_at_lte` (string, optional, nullable) — Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
- `last_seen_gte` (string, optional, nullable) — Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
- `last_seen_lte` (string, optional, nullable) — Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
- `offset` (integer, optional, nullable, default: 0) — Can be used for paginating results
- `limit` (integer, optional, nullable, default: 100) — A number between 1 and 250 to determine the number of results to return in a single query

## Response

### 200

Successful response

- `meta` (ResponseMeta, required)
- `results` (Applicant, required)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (ErrorResponseError, required)

## Types

### ResponseMeta

- `orderBy` (list of ResponseMetaOrderByItems, required)
- `offset` (integer, optional) — The offset of the first result
- `limit` (integer, optional) — The number of results to return
- `hasMore` (boolean, optional, nullable) — Whether there are more results
- `total` (integer, optional) — The total number of results

### Applicant

- `id` (string, required) — The Propexo unique identifier for the applicant
- `created_at` (string, required) — The date record first entered Propexo
- `updated_at` (string, required) — The date record was last updated in Propexo
- `last_seen` (string, required, nullable) — The date the record was last seen from the PMS
- `x_id` (string, required) — The external ID from the integration vendor
- `x_property_id` (string, required) — The external ID of the property from the integration vendor
- `x_lead_id` (string, required, nullable) — The external ID of the lead from the integration vendor
- `x_unit_id_preferred` (list of string, required)
- `address_1_alternate` (string, required, nullable) — The first alternate address line associated with the applicant
- `address_1` (string, required, nullable) — The first address line associated with the applicant
- `address_2_alternate` (string, required, nullable) — The second alternate address line associated with the applicant
- `address_2` (string, required, nullable) — The second address line associated with the applicant
- `applications` (list of ApplicantApplicationsItems, required)
- `city_alternate` (string, required, nullable) — The alternate city associated with the applicant
- `city` (string, required, nullable) — The city associated with the applicant
- `country_alternate` (string, required, nullable) — The alternate country associated with the applicant
- `country` (string, required, nullable) — The country associated with the applicant
- `custom_data` (ApplicantCustomData, required, nullable)
- `date_of_birth` (string, required, nullable) — The date of birth associated with the applicant
- `email_1` (string, required, nullable) — The primary email address associated with the applicant
- `email_2` (string, required, nullable) — The secondary email address associated with the applicant
- `first_name` (string, required, nullable) — The first name associated with the applicant
- `last_name` (string, required, nullable) — The last name associated with the applicant
- `middle_name` (string, required, nullable) — The middle name associated with the applicant
- `notes` (string, required, nullable) — Notes associated with the applicant
- `phone_1_type` (enum, required) — Type of the primary phone number
  - Allowed values: `FAX`, `HOME`, `MOBILE`, `OTHER`, `WORK`
- `phone_1` (string, required, nullable) — Primary phone number associated with the applicant
- `phone_2_type` (enum, required) — Type of the secondary phone number
  - Allowed values: `FAX`, `HOME`, `MOBILE`, `OTHER`, `WORK`
- `phone_2` (string, required, nullable) — Secondary phone number associated with the applicant
- `state_alternate` (string, required, nullable) — The alternate state associated with the applicant
- `state` (string, required, nullable) — The state associated with the applicant
- `type_normalized` (string, required, nullable) — The normalized type associated with the applicant
- `type_raw` (string, required, nullable) — The raw type associated with the applicant
- `zip_alternate` (string, required, nullable) — The alternate zip code associated with the applicant
- `zip` (string, required, nullable) — The zip code associated with the applicant
- `pets` (list of ApplicantPetsItems, required)
- `integration_id` (string, required) — The Propexo unique identifier for the integration
- `integration_vendor` (enum, required) — The property management system of record
  - Allowed values: `APPFOLIO`, `BUILDIUM`, `ENTRATA`, `MRI`, `PROPERTYWARE`, `PROPERTYWARE_REST`, `REALPAGE`, `REALPAGE_RPX`, `RENTMANAGER`, `RENTVINE`, `RESMAN`, `YARDI`, `YARDI_REST`
- `property_id` (string, required) — The Propexo unique identifier for the property
- `unit_id_preferred` (list of string, required)
- `screenings` (list of ApplicantScreeningsItems, required)
- `x_unit_id` (string, required, nullable, deprecated) — DEPRECATED: Use x_unit_id_preferred instead
- `x_lease_id` (string, required, nullable, deprecated) — DEPRECATED: Not in use.
- `self_reported_income` (list of IncomeSource, optional)

### ErrorResponseError

- `code` (string, required)
- `message` (string, required)
- `details` (map from string to any, optional)

### ResponseMetaOrderByItems

### ApplicantApplicationsItems

- `applicant_id` (string, required)
- `application_id` (string, required)
- `status_raw` (string, optional, nullable) — The raw status associated with the applicant
- `status_normalized` (ApplicantApplicationsItemsStatusNormalized, optional, nullable) — The normalized status associated with the applicant. Confirm these derived values before using them in production.
- `custom_data` (ApplicantApplicationsItemsCustomData, optional, nullable)
- `status` (string, optional, nullable, deprecated) — DEPRECATED. Use status_raw or status_normalized

### ApplicantCustomData

### ApplicantPetsItems

- `id` (string, required) — The Propexo unique identifier for the applicant pet
- `created_at` (string, required) — The date record first entered Propexo
- `updated_at` (string, required) — The date record was last updated in Propexo
- `last_seen` (string, required, nullable) — The date the record was last seen from the PMS
- `x_id` (string, required) — The external ID from the integration vendor
- `age_in_years` (double, required, nullable) — The age in years of the applicant pet
- `breed` (string, required, nullable) — The breed of the applicant pet
- `color` (string, required, nullable) — The color of the applicant pet
- `gender_raw` (string, required, nullable) — The raw value for the gender of the applicant pet
- `is_declawed` (boolean, required, nullable) — Whether the applicant pet is declawed
- `is_fixed` (boolean, required, nullable) — Whether the applicant pet is fixed
- `is_service_animal` (boolean, required, nullable) — Whether the applicant pet is a service animal
- `is_trained` (boolean, required, nullable) — Whether the applicant pet is trained
- `is_vaccinated` (boolean, required, nullable) — Whether the applicant pet is vaccinated
- `name` (string, required, nullable) — The name associated with the applicant pet
- `notes` (string, required, nullable) — Notes associated with the applicant pet
- `type` (string, required, nullable) — The type associated with the applicant pet
- `weight_in_pounds` (double, required, nullable) — The weight in pounds of the applicant pet
- `custom_data` (ApplicantPetsItemsCustomData, required, nullable)

### ApplicantScreeningsItems

- `id` (string, required) — The Propexo ID of the screening
- `created_at` (string, required) — The date record first entered Propexo
- `last_seen` (string, required) — The date the record was last seen from the PMS
- `x_id` (string, required) — The external ID from the integration vendor
- `status_raw` (string, required, nullable) — The status/results of the screening
- `screening_date` (string, required, nullable) — The date the screening took place

### IncomeSource

- `amount_in_cents` (double, required, nullable) — The total income of the applicant, in cents
- `amount_raw` (string, required, nullable) — The total income amount of the applicant
- `type_normalized` (string, required, nullable) — The type of income of the applicant
- `type_raw` (string, required, nullable) — The type of income of the applicant

### ApplicantApplicationsItemsStatusNormalized

The normalized status associated with the applicant. Confirm these derived values before using them in production.

### ApplicantApplicationsItemsCustomData

### ApplicantPetsItemsCustomData

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "meta": {
    "orderBy": [
      {}
    ],
    "offset": 0,
    "limit": 100,
    "hasMore": true,
    "total": 1000
  },
  "results": {
    "id": "a3f47b9e-8c2d-4f3a-9b6e-1d2f3e4a5b6c",
    "created_at": "2023-11-15T09:30:00Z",
    "updated_at": "2024-04-20T16:45:00Z",
    "last_seen": "2024-04-19T12:00:00Z",
    "x_id": "EXT123456789",
    "x_property_id": "PROP987654321",
    "x_lead_id": "LEAD54321",
    "x_unit_id_preferred": [
      "UNIT12345",
      "UNIT67890"
    ],
    "address_1_alternate": "123 Alternate St",
    "address_1": "456 Main St",
    "address_2_alternate": "Apt 2B",
    "address_2": "Suite 100",
    "applications": [
      {
        "applicant_id": "a3f47b9e-8c2d-4f3a-9b6e-1d2f3e4a5b6c",
        "application_id": "app-20240420-001",
        "status_raw": "approved",
        "status_normalized": "APPROVED",
        "custom_data": {},
        "status": null
      }
    ],
    "city_alternate": "Springfield",
    "city": "Shelbyville",
    "country_alternate": "USA",
    "country": "USA",
    "custom_data": {},
    "date_of_birth": "1990-06-15",
    "email_1": "jane.doe@example.com",
    "email_2": "jane.alt@example.com",
    "first_name": "Jane",
    "last_name": "Doe",
    "middle_name": "A",
    "notes": "Applicant prefers early move-in date.",
    "phone_1_type": "MOBILE",
    "phone_1": "+1-555-123-4567",
    "phone_2_type": "WORK",
    "phone_2": "+1-555-765-4321",
    "state_alternate": "IL",
    "state": "IL",
    "type_normalized": "INDIVIDUAL",
    "type_raw": "Primary applicant",
    "zip_alternate": "62704",
    "zip": "62701",
    "pets": [
      {
        "id": "pet-001",
        "created_at": "2023-11-15T09:30:00Z",
        "updated_at": "2024-04-20T16:45:00Z",
        "last_seen": "2024-04-19T12:00:00Z",
        "x_id": "PETEXT123",
        "age_in_years": 3,
        "breed": "Golden Retriever",
        "color": "Golden",
        "gender_raw": "Female",
        "is_declawed": false,
        "is_fixed": true,
        "is_service_animal": false,
        "is_trained": true,
        "is_vaccinated": true,
        "name": "Bella",
        "notes": "Very friendly and well-behaved.",
        "type": "Dog",
        "weight_in_pounds": 65.5,
        "custom_data": {}
      }
    ],
    "integration_id": "int-7890",
    "integration_vendor": "APPFOLIO",
    "property_id": "prop-4567",
    "unit_id_preferred": [
      "unit-101",
      "unit-102"
    ],
    "screenings": [
      {
        "id": "scr-20240401-001",
        "created_at": "2024-04-01T10:00:00Z",
        "last_seen": "2024-04-19T12:00:00Z",
        "x_id": "SCR123456",
        "status_raw": "clear",
        "screening_date": "2024-03-30"
      }
    ],
    "x_unit_id": "UNIT12345",
    "x_lease_id": "LEASE67890",
    "self_reported_income": [
      {
        "amount_in_cents": 5500000,
        "amount_raw": "$55,000",
        "type_normalized": "EMPLOYMENT",
        "type_raw": "Full-time job"
      }
    ]
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.propexo.com/v1/applicants/id"

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.get(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.propexo.com/v1/applicants/id';
const options = {
  method: 'GET',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.propexo.com/v1/applicants/id"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("GET", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.propexo.com/v1/applicants/id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.propexo.com/v1/applicants/id")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.propexo.com/v1/applicants/id', [
  'body' => '{}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.propexo.com/v1/applicants/id");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/v1/applicants/id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```